? callbacks.patch
? cb.patch
? diffs
? file.sps
? grob.sav
? libs3.patch
? pspp-0.4.2.tar.gz
? doc/.dirstamp
? lib/gsl-extras/.deps
? lib/gsl-extras/.dirstamp
? lib/gtksheet/.deps
? lib/gtksheet/.dirstamp
? lib/linreg/.deps
? lib/linreg/.dirstamp
? m4/Makefile.am
? m4/codeset.m4
? m4/gettext.m4
? m4/glibc2.m4
? m4/glibc21.m4
? m4/iconv.m4
? m4/intdiv0.m4
? m4/intmax.m4
? m4/inttypes-pri.m4
? m4/inttypes.m4
? m4/inttypes_h.m4
? m4/isc-posix.m4
? m4/lcmessage.m4
? m4/lib-ld.m4
? m4/lib-link.m4
? m4/lib-prefix.m4
? m4/longdouble.m4
? m4/longlong.m4
? m4/nls.m4
? m4/po.m4
? m4/printf-posix.m4
? m4/progtest.m4
? m4/signed.m4
? m4/size_max.m4
? m4/stdint_h.m4
? m4/uintmax_t.m4
? m4/ulonglong.m4
? m4/wchar_t.m4
? m4/wint_t.m4
? m4/xsize.m4
? po/remove-potcdate.sed
? src/.dirstamp
? src/data/.deps
? src/data/.dirstamp
? src/language/.deps
? src/language/.dirstamp
? src/language/control/.deps
? src/language/control/.dirstamp
? src/language/data-io/.deps
? src/language/data-io/.dirstamp
? src/language/data-io/file-handle.c
? src/language/data-io/list.c
? src/language/dictionary/.deps
? src/language/dictionary/.dirstamp
? src/language/expressions/.deps
? src/language/expressions/.dirstamp
? src/language/lexer/.deps
? src/language/lexer/.dirstamp
? src/language/lexer/q2c
? src/language/stats/.deps
? src/language/stats/.dirstamp
? src/language/stats/correlations.c
? src/language/stats/crosstabs.c
? src/language/stats/examine.c
? src/language/stats/frequencies.c
? src/language/stats/means.c
? src/language/stats/oneway.c
? src/language/stats/rank.c
? src/language/stats/regression.c
? src/language/stats/t-test.c
? src/language/tests/.deps
? src/language/tests/.dirstamp
? src/language/utilities/.deps
? src/language/utilities/.dirstamp
? src/language/utilities/set.c
? src/language/xforms/.deps
? src/language/xforms/.dirstamp
? src/libpspp/.deps
? src/libpspp/.dirstamp
? src/libpspp/version.c
? src/math/.deps
? src/math/.dirstamp
? src/math/linreg/.deps
? src/math/linreg/.dirstamp
? src/math/ts/.deps
? src/math/ts/.dirstamp
? src/output/.deps
? src/output/.dirstamp
? src/output/charts/.deps
? src/output/charts/.dirstamp
? src/ui/.deps
? src/ui/.dirstamp
? src/ui/gui/.deps
? src/ui/gui/.dirstamp
? src/ui/gui/psppire
? src/ui/terminal/.deps
? src/ui/terminal/.dirstamp
? src/ui/terminal/pspp
? tests/formats/.deps
? tests/formats/.dirstamp
? tests/formats/inexactify
? tests/libpspp/.deps
? tests/libpspp/.dirstamp
? tests/libpspp/ll-test
? tests/libpspp/llx-test
Index: config/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/config/automake.mk,v
retrieving revision 1.3
diff -U3 -r1.3 automake.mk
--- config/automake.mk	5 Apr 2006 03:21:07 -0000	1.3
+++ config/automake.mk	14 Dec 2006 01:22:43 -0000
@@ -19,20 +19,3 @@
 	config/psfonts/Helvetica.afm \
 	config/psfonts/Times-Roman.afm \
 	config/psfonts/Courier.afm
- 
-# A `private installation' in my terms is just having the appropriate
-# configuration files in ~/.pspp instead of a global configuration
-# location.  So I let those files be installed automatically.
-
-private-install:
-	$(mkinstalldirs) $$HOME/.pspp
-	cd $(top_srcdir) && cp $(dist_pkgsysconf_DATA) $$HOME/.pspp
-	$(mkinstalldirs) $$HOME/.pspp/psfonts
-	cd $(top_srcdir) && cp $(dist_psfonts_DATA) $$HOME/.pspp/psfonts
-
-
-private-uninstall:
-	-cd $$HOME/.pspp && rm $(notdir $(dist_pkgsysconf_DATA))
-	-cd $$HOME/.pspp/psfonts && rm $(notdir $(dist_psfonts_DATA))
-	-rmdir $$HOME/.pspp/psfonts $$HOME/.pspp
-
Index: src/data/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/data/automake.mk,v
retrieving revision 1.11
diff -U3 -r1.11 automake.mk
--- src/data/automake.mk	11 Dec 2006 15:39:23 -0000	1.11
+++ src/data/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -71,6 +71,7 @@
 	src/data/value.h \
 	src/data/value-labels.c \
 	src/data/value-labels.h \
+	src/data/vardict.h \
 	src/data/variable.h \
 	src/data/variable.c \
 	src/data/vector.c \
Index: src/language/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/automake.mk,v
retrieving revision 1.4
diff -U3 -r1.4 automake.mk
--- src/language/automake.mk	29 Nov 2006 11:50:31 -0000	1.4
+++ src/language/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -10,7 +10,7 @@
 include $(top_srcdir)/src/language/data-io/automake.mk
 include $(top_srcdir)/src/language/expressions/automake.mk
 
-noinst_LIBRARIES += src/language/liblanguage.a 
+noinst_LIBRARIES += src/language/liblanguage.a
 
 src_language_liblanguage_a_SOURCES = \
 	src/language/syntax-file.c \
@@ -19,5 +19,13 @@
 	src/language/prompt.h \
 	src/language/command.c \
 	src/language/command.h \
-	src/language/command.def 
-
+	src/language/command.def \
+	$(language_lexer_sources) \
+	$(language_xforms_sources) \
+	$(language_control_sources) \
+	$(language_dictionary_sources) \
+	$(language_tests_sources) \
+	$(language_utilities_sources) \
+	$(language_stats_sources) \
+	$(language_data_io_sources) \
+	$(language_expressions_sources)
Index: src/language/control/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/control/automake.mk,v
retrieving revision 1.2
diff -U3 -r1.2 automake.mk
--- src/language/control/automake.mk	15 Mar 2006 03:29:10 -0000	1.2
+++ src/language/control/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -1,9 +1,7 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
 
-noinst_LIBRARIES += src/language/control/libcontrol.a
-
-src_language_control_libcontrol_a_SOURCES = \
+language_control_sources = \
 	src/language/control/control-stack.c \
 	src/language/control/control-stack.h \
 	src/language/control/do-if.c \
Index: src/language/data-io/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/automake.mk,v
retrieving revision 1.7
diff -U3 -r1.7 automake.mk
--- src/language/data-io/automake.mk	18 Jul 2006 04:57:01 -0000	1.7
+++ src/language/data-io/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -1,8 +1,10 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
-noinst_LIBRARIES += src/language/data-io/libdata_io.a
+src_language_data_io_built_sources = \
+	src/language/data-io/file-handle.c \
+	src/language/data-io/list.c
 
-src_language_data_io_libdata_io_a_SOURCES = \
+language_data_io_sources = \
 	src/language/data-io/data-list.c \
 	src/language/data-io/get.c \
 	src/language/data-io/inpt-pgm.c \
@@ -16,18 +18,10 @@
 	src/language/data-io/data-writer.h \
 	src/language/data-io/file-handle.h \
 	src/language/data-io/placement-parser.c \
-	src/language/data-io/placement-parser.h
-
-src_language_data_io_built_sources = \
-	src/language/data-io/file-handle.c \
-	src/language/data-io/list.c
+	src/language/data-io/placement-parser.h \
+	$(src_language_data_io_built_sources)
 
 all_q_sources += $(src_language_data_io_built_sources:.c=.q)
 EXTRA_DIST += $(src_language_data_io_built_sources:.c=.q)
-
-nodist_src_language_data_io_libdata_io_a_SOURCES = \
-	$(src_language_data_io_built_sources)
-
-
 CLEANFILES += $(src_language_data_io_built_sources)
 
Index: src/language/dictionary/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/dictionary/automake.mk,v
retrieving revision 1.3
diff -U3 -r1.3 automake.mk
--- src/language/dictionary/automake.mk	6 May 2006 17:46:52 -0000	1.3
+++ src/language/dictionary/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -1,8 +1,6 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
-noinst_LIBRARIES += src/language/dictionary/libcmddict.a
-
-src_language_dictionary_libcmddict_a_SOURCES = \
+language_dictionary_sources = \
  src/language/dictionary/apply-dictionary.c \
  src/language/dictionary/formats.c \
  src/language/dictionary/missing-values.c \
Index: src/language/expressions/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/expressions/automake.mk,v
retrieving revision 1.3
diff -U3 -r1.3 automake.mk
--- src/language/expressions/automake.mk	15 Jul 2006 04:38:57 -0000	1.3
+++ src/language/expressions/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -1,12 +1,6 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
-noinst_LIBRARIES += src/language/expressions/libexpressions.a
-
-src_language_expressions_libexpressions_a_CPPFLAGS = $(AM_CPPFLAGS) \
-	-I src/language/expressions \
-	-I $(top_srcdir)/src/language/expressions
-
-src_language_expressions_libexpressions_a_SOURCES = \
+language_expressions_sources = \
 	src/language/expressions/evaluate.c \
 	src/language/expressions/helpers.c \
 	src/language/expressions/helpers.h \
@@ -30,6 +24,8 @@
 
 $(expressions_built_sources): $(helpers)
 EXTRA_DIST += $(helpers) $(expressions_built_sources:=.pl)
+AM_CPPFLAGS += -I$(top_builddir)/src/language/expressions \
+	-I$(top_srcdir)/src/language/expressions
 
 SUFFIXES = .h.pl .inc.pl
 
Index: src/language/lexer/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/lexer/automake.mk,v
retrieving revision 1.5
diff -U3 -r1.5 automake.mk
--- src/language/lexer/automake.mk	18 Jul 2006 04:57:01 -0000	1.5
+++ src/language/lexer/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -1,9 +1,7 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
 
-noinst_LIBRARIES += src/language/lexer/liblexer.a
-
-src_language_lexer_liblexer_a_SOURCES = \
+language_lexer_sources = \
 	src/language/lexer/lexer.c  src/language/lexer/lexer.h \
 	src/language/lexer/subcommand-list.c  \
 	src/language/lexer/subcommand-list.h \
Index: src/language/stats/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/stats/automake.mk,v
retrieving revision 1.4
diff -U3 -r1.4 automake.mk
--- src/language/stats/automake.mk	15 Jul 2006 04:38:57 -0000	1.4
+++ src/language/stats/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
-noinst_LIBRARIES += src/language/stats/libstats.a
+AM_CPPFLAGS += -I$(top_srcdir)/src/language/stats
 
 src_language_stats_built_sources = \
 	src/language/stats/correlations.c \
@@ -12,16 +12,7 @@
 	src/language/stats/rank.c \
 	src/language/stats/regression.c \
 	src/language/stats/t-test.c
-
-all_q_sources += $(src_language_stats_built_sources:.c=.q)
-EXTRA_DIST += $(src_language_stats_built_sources:.c=.q)
-nodist_src_language_stats_libstats_a_SOURCES = $(src_language_stats_built_sources)
-CLEANFILES += $(src_language_stats_built_sources)
-
-src_language_stats_libstats_a_CPPFLAGS = $(AM_CPPFLAGS) \
-	-I$(top_srcdir)/src/language/stats
-
-src_language_stats_libstats_a_SOURCES = \
+language_stats_sources = \
 	src/language/stats/aggregate.c \
 	src/language/stats/autorecode.c \
 	src/language/stats/descriptives.c \
@@ -29,4 +20,10 @@
 	src/language/stats/sort-criteria.c \
 	src/language/stats/sort-criteria.h \
 	src/language/stats/flip.c \
-	src/language/stats/regression-export.h 
+	src/language/stats/regression-export.h \
+	$(src_language_stats_built_sources)
+
+all_q_sources += $(src_language_stats_built_sources:.c=.q)
+EXTRA_DIST += $(src_language_stats_built_sources:.c=.q)
+CLEANFILES += $(src_language_stats_built_sources)
+
Index: src/language/tests/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/tests/automake.mk,v
retrieving revision 1.3
diff -U3 -r1.3 automake.mk
--- src/language/tests/automake.mk	28 Oct 2006 04:01:55 -0000	1.3
+++ src/language/tests/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -1,8 +1,6 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
-noinst_LIBRARIES += src/language/tests/libtests.a
-
-src_language_tests_libtests_a_SOURCES = \
+language_tests_sources = \
 	src/language/tests/casefile-test.c \
 	src/language/tests/moments-test.c \
 	src/language/tests/pool-test.c \
Index: src/language/utilities/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/utilities/automake.mk,v
retrieving revision 1.3
diff -U3 -r1.3 automake.mk
--- src/language/utilities/automake.mk	15 Jul 2006 04:38:58 -0000	1.3
+++ src/language/utilities/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -3,19 +3,15 @@
 
 src_language_utilities_built_sources = \
 	src/language/utilities/set.c
+language_utilities_sources = \
+	src/language/utilities/date.c \
+	src/language/utilities/echo.c \
+	src/language/utilities/title.c \
+	src/language/utilities/include.c \
+	src/language/utilities/permissions.c \
+	$(src_language_utilities_built_sources)
 
 all_q_sources += $(src_language_utilities_built_sources:.c=.q)
-
-
 EXTRA_DIST += $(src_language_utilities_built_sources:.c=.q)
-nodist_src_language_utilities_libutilities_a_SOURCES = $(src_language_utilities_built_sources)
 CLEANFILES += $(src_language_utilities_built_sources)
 
-noinst_LIBRARIES += src/language/utilities/libutilities.a
-
-src_language_utilities_libutilities_a_SOURCES = \
-	src/language/utilities/date.c \
-	src/language/utilities/echo.c \
-	src/language/utilities/title.c \
-	src/language/utilities/include.c \
-	src/language/utilities/permissions.c 
Index: src/language/xforms/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/language/xforms/automake.mk,v
retrieving revision 1.3
diff -U3 -r1.3 automake.mk
--- src/language/xforms/automake.mk	7 Oct 2006 03:10:14 -0000	1.3
+++ src/language/xforms/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -1,9 +1,7 @@
 ## Process this file with automake to produce Makefile.in  -*- makefile -*-
 
 
-noinst_LIBRARIES += src/language/xforms/libxforms.a
-
-src_language_xforms_libxforms_a_SOURCES = \
+language_xforms_sources = \
 	src/language/xforms/compute.c \
 	src/language/xforms/count.c \
 	src/language/xforms/fail.c \
Index: src/ui/terminal/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/ui/terminal/automake.mk,v
retrieving revision 1.11
diff -U3 -r1.11 automake.mk
--- src/ui/terminal/automake.mk	17 Jul 2006 10:45:43 -0000	1.11
+++ src/ui/terminal/automake.mk	14 Dec 2006 01:22:45 -0000
@@ -18,17 +18,8 @@
 
 src_ui_terminal_pspp_LDADD =					\
 	src/ui/terminal/libui.a \
-	src/language/liblanguage.a \
-	src/language/tests/libtests.a \
 	src/ui/libuicommon.a \
-	src/language/utilities/libutilities.a \
-	src/language/control/libcontrol.a \
-	src/language/expressions/libexpressions.a \
-	src/language/stats/libstats.a \
-	src/language/xforms/libxforms.a \
-	src/language/dictionary/libcmddict.a \
-	src/language/lexer/liblexer.a \
-	src/language/data-io/libdata_io.a \
+	src/language/liblanguage.a \
 	src/output/charts/libcharts.a \
 	src/output/liboutput.a \
 	src/math/libpspp_math.a  \
